PATCH-G(1)

NAME
patch-g - convert FASTGEN ASCII databases into binary MGED databases.

SYNOPSIS
patch-g [options] output.g

DESCRIPTION
This program converts FASTGEN geometry into BRL-CAD mged(1) formats. FASTGEN is a modeling system used by the Air Force and Navy to create military target descriptions. FASTGEN databases consist of the following primitives which can be converted by patch-g : polygons, plates, boxes, wedges, cylinders, spheres, and rods. It is recommended that patch-g be run with the -p option for most uses.

patch-g requires that the FASTGEN file be run through the pre-processor rpatch. This is achieved by executing rpatch<fastgen_file>file.rpatch. Once this step is executed, patch-g can be used to convert the intermediate file into a binary brlcad(1) ".g" file.

patch-g will provide messages when encountering problems in the conversion of FASTGEN geometry. For further debugging information, the -d flag with levels 1-3 of debugging can be provided.

The available options are:

-T tolerance_distance
    The tolerance_distance is specified in inches. Any two vertices within this distance from each other will be considered the same vertex.

-A perp_tolerance
    the perp_tolerance is specified as the cosine of an angle (0.0 through 1.0). If the cosine of the angle between two vectors is less than the specified tolerance, then the vectors are considered perpendicular.

-x librt_debug_flag
    Specifies a flag for debugging the librt package.

-X NMG_debug_flag
    Specifies a flag for NMG routine debugging.

-p  Produce polysolid output rather than the default NMG solids.

-6  Convert plate-mode triangles using ARB6 solids.

-f preprocessed_input_file
    Use the specified file as the input for conversion.

-i labels_file
    Specifies desired group names to override defaults.

-m materials_file
    Specifies material properties to be assigned to components.

-a  Process phantom armor.

-n  Process volume mode as plate mode.

-t title
    Specifies a title for the output model.

-o top_level_name
    Specifies a name for the top level object (default is all ).

-r  Reverse normals for plate mode triangles.

-c ``X Y Z''
    Specifies centroid for some plate mode surface normal calulations.

-d debug_level
    Specifies a debug level (1-3).

EXAMPLE
rpatch < fastgen_file > file.rpatch
patch-g -p -f file.rpatch file.g

DIAGNOSTICS
The diagnostics are intended to be self-explanatory.

SEE ALSO
brlcad(1), mged(1)

AUTHOR
Bill Mermagen, Jr.

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.